{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-23.05";
    home-manager.url = "github:nix-community/home-manager/release-23.05";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";
  };
  outputs = inputs@{ self, nixpkgs, home-manager }: 
  let
    common-gui-modules = [
      ./modules/common.nix
      home-manager.nixosModules.home-manager
      {
        home-manager.useGlobalPkgs = true;
        home-manager.useUserPackages = true;
        home-manager.users.daan = import ./modules/home;
      }    
    ];
    # common-server-modules = [
            
    # ];
  in
  {
    nixosConfigurations.danacus-yoga = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      modules = [
        ./systems/yoga/configuration.nix 
      ] ++ common-gui-modules;
    };
  };
}

