{ pkgs, ... }: 
{
  home.username = "daan";
  home.homeDirectory = "/home/daan";

  home.stateVersion = "23.05";

  imports = [ ./dconf.nix ./gnome.nix ];

  home.sessionVariables = { GTK_THEME = "Adwaita:dark"; }; 

  programs.home-manager.enable = true;

  programs.helix = {
    enable = true;
    settings = {
      theme = "onedark";
      editor = {
        line-number = "relative";
        cursor-shape.insert = "bar";
        soft-wrap.enable = true;
      };
    };
  };

  programs.zsh = {
    enable = true;
    shellAliases = {
      reload = "source ~/.zshrc";
      l = "ls -l";
    };
    sessionVariables = {
      EDITOR = "hx";
      TERM = "xterm-256color";
      COLORTERM = "truecolor";
      NIX_BUILD_SHELL = "zsh";
    };
    oh-my-zsh = {
      enable = true;
      custom = "$HOME/.config/oh-my-zsh";
      plugins = [
          "git" "tig" "gitfast" "colorize" "command-not-found" "cp" "dirhistory" "sudo" "zsh-autosuggestions" "zsh-syntax-highlighting" "nix-shell"
      ];
      theme = "avit";
    };
  };
}