{ config, pkgs, ... }:
{
  imports =
    [ # Include the results of the hardware scan.
      ./hardware-configuration.nix
    ];

  # Enable compression
  fileSystems."/".options = [ "compress=zstd" ];
  fileSystems."/home".options = [ "compress=zstd" ];
  fileSystems."/nix".options = [ "compress=zstd" "noatime" ];

  networking.hostName = "danacus-yoga"; # Define your hostname.

  # Intel GPU only: enable VAAPI
  hardware.opengl.extraPackages = with pkgs; [
    intel-media-driver
  ];
}

